summaryrefslogtreecommitdiff
path: root/TRNS/run-rank.sh
diff options
context:
space:
mode:
Diffstat (limited to 'TRNS/run-rank.sh')
-rwxr-xr-xTRNS/run-rank.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/TRNS/run-rank.sh b/TRNS/run-rank.sh
new file mode 100755
index 0000000..00f6898
--- /dev/null
+++ b/TRNS/run-rank.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+set -e
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+# -i: input size (number of elements, not number of bytes!)
+
+(
+
+echo "prim-benchmarks TRNS (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+for nr_dpus in 1 4 8 16 32 48 64; do
+ for nr_tasklets in 8 12 16; do
+ # 12288 run-paper-weak, run-paper-strong-full
+ for i in 12288; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets}; then
+ # upstream uses -p 2048 in strong-full, but then the number of DPUs is always constant...
+ timeout --foreground -k 1m 90m bin/host_code -w 0 -e 40 -p 1 -o 12288 -x 0 || true
+ fi
+ done
+ done
+done
+
+echo "Completed at $(date)"
+
+) | tee "log-$(hostname)-rank.txt"